Bug 769729 - hamlib broken deps
Summary: hamlib broken deps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hamlib
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-21 22:49 UTC by Jim Haynes
Modified: 2012-01-02 21:54 UTC (History)
7 users (show)

Fixed In Version: hamlib-1.2.14-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-02 21:54:41 UTC


Attachments (Terms of Use)

Description Jim Haynes 2011-12-21 22:49:01 UTC
Description of problem:
yum check-update shows that gnuradio.x86_64 3.4.2-2.fc16
should be updated.  

yum update gnuradio reports 

Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gnuradio.x86_64 0:3.4.0-3.fc16 will be updated
--> Processing Dependency: libusrp-3.4.0.so.0()(64bit) for package: hamlib-1.2.14-1.fc16.x86_64
---> Package gnuradio.x86_64 0:3.4.2-2.fc16 will be an update
--> Finished Dependency Resolution
Error: Package: hamlib-1.2.14-1.fc16.x86_64 (@fedora)
           Requires: libusrp-3.4.0.so.0()(64bit)
           Removing: gnuradio-3.4.0-3.fc16.x86_64 (@fedora)
               libusrp-3.4.0.so.0()(64bit)
           Updated By: gnuradio-3.4.2-2.fc16.x86_64 (updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Version-Release number of selected component (if applicable):see above


How reproducible:always


Steps to Reproduce:
1.see above
2.
3.
  
Actual results:see above


Expected results:package gets updated


Additional info:

Comment 1 Jaroslav Škarvada 2011-12-22 08:25:58 UTC
Thanks for report, it is solved by hamlib rebuilt for me. Reassigning to hamlib.

Comment 2 Jaroslav Škarvada 2011-12-22 08:28:35 UTC
Lucian could I apply for hamlib commit ACL to resolve gnuradio updates seamlessly in the future?

Comment 3 Jaroslav Škarvada 2011-12-22 09:17:24 UTC
Also please note the gnuradio upstream drops the libusrp as it is obsoleted by uhd in gnuradio-3.5. The 3.5 version is currently in rawhide and will not get to older fedoras.

Comment 4 Lucian Langa 2011-12-22 10:13:08 UTC
Yes, we will drop usrp support (--disable-usrp) from hamlib too.

Comment 5 Fedora Update System 2011-12-23 23:27:53 UTC
hamlib-1.2.14-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hamlib-1.2.14-2.fc16

Comment 6 Fedora Update System 2011-12-24 20:53:09 UTC
Package hamlib-1.2.14-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hamlib-1.2.14-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17441/hamlib-1.2.14-2.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-01-02 21:54:41 UTC
hamlib-1.2.14-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.